Skip to main content
Resource Center/Network Service/Network Service Operations/VPC Firewall Operations

QueryFirewallRuleTemplate

QueryFirewallRuleTemplate

GET/zstack/v1/vpcfirewalls/rules/templates
GET/zstack/v1/vpcfirewalls/rules/templates/{uuid}

Operation ID

QueryFirewallRuleTemplate

Since

4.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    ListRequired

    See inventories

  • name
    StringRequired

    The name of the template.

  • destPort
    StringRequired

    The dest port.

  • sourcePort
    StringRequired

    The source port.

  • sourceIp
    StringRequired

    The source IP.

  • destIp
    StringRequired

    The dest IP.

  • allowStates
    StringRequired

    Whether states is enabled.

  • tcpFlag
    StringRequired

    The tcp flag.

  • icmpTypeName
    StringRequired

    The icmp type name.

  • ruleNumber
    intRequired

    The number of rule.

  • enableLog
    booleanRequired

    Whether log is enabled.

  • isDefault
    booleanRequired

    Whether the resource is default.

  • description
    StringRequired

    The detailed description of the template.

  • createDate
    TimestampRequired

    The time when the template was created.

  • lastOpDate
    TimestampRequired

    The time when the rule template was last modified.

  • accountUuid
    StringRequired

    The account UUID.

  • uuid
    StringRequired

    The UUID of the template.

  • action
    ActionTypeRequired

    See action

  • protocol
    ProtocolTypeRequired

    See protocol

  • state
    FirewallRuleStateRequired

    See state

  • drop
    ActionTypeRequired

    The drop.

  • reject
    ActionTypeRequired

    The reject.

  • accept
    ActionTypeRequired

    The accept.

  • tcp_udp
    ProtocolTypeRequired

    The tcp udp.

  • all
    ProtocolTypeRequired

    The all.

  • ah
    ProtocolTypeRequired

    The ah.

  • ax.25
    ProtocolTypeRequired

    The ax 25.

  • dccp
    ProtocolTypeRequired

    The dccp.

  • ddp
    ProtocolTypeRequired

    The ddp.

  • egp
    ProtocolTypeRequired

    The egp.

  • eigrp
    ProtocolTypeRequired

    The eigrp.

  • encap
    ProtocolTypeRequired

    The encap.

  • esp
    ProtocolTypeRequired

    The esp.

  • etherip
    ProtocolTypeRequired

    The etherip.

  • fc
    ProtocolTypeRequired

    The fc.

  • ggp
    ProtocolTypeRequired

    The ggp.

  • gre
    ProtocolTypeRequired

    The gre.

  • hip
    ProtocolTypeRequired

    The hip.

  • hmp
    ProtocolTypeRequired

    The hmp.

  • icmp
    ProtocolTypeRequired

    The icmp.

  • ipdr-cmtp
    ProtocolTypeRequired

    The ipdr cmtp.

  • idpr
    ProtocolTypeRequired

    The idpr.

  • igmp
    ProtocolTypeRequired

    The igmp.

  • igp
    ProtocolTypeRequired

    The igp.

  • ip
    ProtocolTypeRequired

    The IP address.

  • ipcomp
    ProtocolTypeRequired

    The ipcomp.

  • ipencap
    ProtocolTypeRequired

    The ipencap.

  • ipip
    ProtocolTypeRequired

    The ipip.

  • isis
    ProtocolTypeRequired

    The isis.

  • iso-tp4
    ProtocolTypeRequired

    The ISO tp 4.

  • l2tp
    ProtocolTypeRequired

    The L2 tp.

  • manet
    ProtocolTypeRequired

    The manet.

  • pls-in-ip
    ProtocolTypeRequired

    The pls in IP.

  • ospf
    ProtocolTypeRequired

    The ospf.

  • pim
    ProtocolTypeRequired

    The pim.

  • pup
    ProtocolTypeRequired

    The pup.

  • rdp
    ProtocolTypeRequired

    The rdp.

  • rohc
    ProtocolTypeRequired

    The rohc.

  • rspf
    ProtocolTypeRequired

    The rspf.

  • rsvp
    ProtocolTypeRequired

    The rsvp.

  • sctp
    ProtocolTypeRequired

    The sctp.

  • skip
    ProtocolTypeRequired

    The skip.

  • st
    ProtocolTypeRequired

    The st.

  • tcp
    ProtocolTypeRequired

    The tcp.

  • udp
    ProtocolTypeRequired

    The udp.

  • udplite
    ProtocolTypeRequired

    The udplite.

  • vmtp
    ProtocolTypeRequired

    The vmtp.

  • vrrp
    ProtocolTypeRequired

    The vrrp.

  • wesp
    ProtocolTypeRequired

    The wesp.

  • xns-idp
    ProtocolTypeRequired

    The xns idp.

  • xtp
    ProtocolTypeRequired

    The xtp.

  • disable
    FirewallRuleStateRequired

    Whether the feature is disabled.

  • enable
    FirewallRuleStateRequired

    Whether the feature is enabled.

  • Change Time

    AddedResponse fields accept, accountUuid, action...
    View API